package cn.com.qmth.stmms.biz.distributpaper.service;

import java.util.List;

import cn.com.qmth.stmms.biz.distributpaper.model.StandardHistory;

public interface StandardHistoryService {

    StandardHistory save(StandardHistory standardHistory);

    StandardHistory findById(Integer id);

    void deleteById(Integer id);

    void delete(StandardHistory StandardHistory);

    List<StandardHistory> getHistoryByScorer(Integer examId, String subjectCode, Integer blockId, Integer scorer);

    List<StandardHistory> findByExamIdAndSubjectCodeAndBlockId(Integer examId, String subjectCode, Integer blockId);

    public List<StandardHistory> findByLibraryId(int libraryId);

    List<StandardHistory> findByScorer(Integer scorerId);

}
